/*
 Theme Name:   WPResidence Child Theme
 Theme URI:    https://themeforest.net/item/wp-residence-real-estate-wordpress-theme/7896392
 Description:  WPResidence child theme
 Author:       WpEstate
 Author URI:   http://wpestate.org
 Template:     wpresidence
 Version:      5.4.0
 License:      GNU General Public License v2 or later
 License URI:  http://www.gnu.org/licenses/gpl-2.0.html
*/

/* Sumptuous Light font for headings */
.wpresidence_header_6_secondary_menu {
  font-family: var(--wp-estate-menu-font-family-option, var(--wp-estate-menu-font-family));
  font-weight: var(--wp-estate-menu-font-weight-option, var(--wp-estate-menu-font-weight));
  display: flex;
  align-items: center;
}

.wpresidence_header_6_secondary_menu ul:not(.list_sidebar_currency) li {
  display: inline-block;
  text-align: left;
  position: relative;
  transition: all 0.4s ease;
  -moz-transition: all 0.4s ease;
  -ms-transition: all 0.4s ease;
  -webkit-transition: all 0.4s ease;
  -o-transition: all 0.4s ease;
  line-height: var(--wp-estate-header-height-option, var(--wp-estate-header-height));
  font-size: var(--wp-estate-top-menu-font-size-option, var(--wp-estate-top-menu-font-size));
}

.wpresidence_header_6_secondary_menu .wpresidence_dropdown .dropdown-toggle {
  /* 	color: #fff; */
  background-color: rgba(0, 0, 0, 0);
  background-image: none;
  border: 1px solid rgba(0, 0, 0, 0);
  padding: 10px 15px;
  text-transform: uppercase;
  position: relative;
  font-size: var(--wp-estate-top-menu-font-size-option, var(--wp-estate-top-menu-font-size));
  display: flex;
  justify-content: center;
  font-weight: 500;

}

/*@media (max-width: 768px) {
	.wpresidence_dropdown.currency{
		width:210px;
	}
}
@media (min-width: 769px) {
	.wpresidence_dropdown.currency{
       width:85px !important; 
		
	}
}*/
.wpresidence_dropdown .dropdown-menu.list_sidebar_currency {
  color: #09373A !important;
  padding: 0;
}

.wpresidence_dropdown .dropdown-menu.list_sidebar_currency li {
  background-color: #FBF5F0B2 !important;

}

@media (max-width: 1024px) {
  .wpresidence_dropdown.currency {
    width: 210px;
  }
}

@media (min-width: 1025px) {
  .wpresidence_dropdown.currency {
    width: 85px !important;

  }

  .wpresidence_dropdown .dropdown-menu.list_sidebar_currency {
    min-width: 85px !important;
    font-size: 15px !important;
  }
}

.wpresidence_header_6_secondary_menu a {
  color: var(--wp-estate-transparent-menu-font-color-option, var(--wp-estate-transparent-menu-font-color));
  text-transform: uppercase;
}

.header_transparent .wpresidence_header_6_secondary_menu .wpresidence_dropdown .dropdown-toggle {
  color: #fff;
}

#menu-secondary-menu li a {
  text-transform: uppercase;
}

.wpresidence_header_6_secondary_menu .wpresidence_dropdown .dropdown-toggle.show {
  color: #fff;
  background-color: rgba(0, 0, 0, 0);
  background-image: none;
  border: 1px solid rgba(0, 0, 0, 0);
}

.wpresidence_header_6_secondary_menu .wpresidence_dropdown .btn:not(:disabled):not(.disabled):active:focus {
  color: #fff !important;
  background-color: rgba(0, 0, 0, 0) !important;
  background-image: none !important;
  border: 1px solid rgba(0, 0, 0, 0) !important;
}

.header_transparent .wpresidence_header_6_secondary_menu .wpresidence_dropdown .dropdown-toggle::after {
  color: #fff !important;
}

.property-section {
  padding: 10px 20px;
}

.property-grid {
  display: grid;
  grid-template-columns: repeat(4, 1fr);
  gap: 20px;
}

.property-box {
  position: relative;
  overflow: hidden;
  height: auto;
  cursor: pointer;
}

.property-box img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  transition: transform 0.4s ease;
}

.property-box:hover img {
  transform: scale(1.1);
}

.overlay {
  position: absolute;
  inset: 0;
  background: rgba(0, 0, 0, 0.4);
  color: #fff;
  display: flex;
  flex-direction: column;
  justify-content: flex-end;
  padding: 30px;
  transition: 0.4s ease;
}

.overlay h3 {
  margin: 0;
  color: #fff;
  text-transform: uppercase;
}

.overlay p {
  margin-top: 10px;
  opacity: 0;
  transform: translateY(20px);
  transition: 0.4s ease;
  font-size: 17px !important;
  height: 80px;
}

@media (max-width: 1250px) {
  .overlay h3 {
    font-size: 20px;
  }

  .property-box .overlay p {
    font-size: 13px !important;
  }
}

.view-text {
  font-family: 'SUMPTUOUS', sans-serif !important;
  position: absolute;
  top: 25px;
  right: 30px;
  /* moved to right side */
  font-size: 25px;
  letter-spacing: 2px;
  display: flex;
  align-items: center;
  gap: 10px;
  opacity: 0;
  transition: 0.4s ease;
  font-weight: 300;
}

/* Colored line */
.view-line {
  width: 40px;
  height: 2px;
  background: #fff;
  /* change to your brand color */
  display: inline-block;
}

/* Show on hover */
.property-box:hover .view-text {
  opacity: 1;
}

/* Hover Effects */
.property-box:hover .overlay {
  background: rgba(0, 0, 0, 0.65);
}

.property-box:hover .overlay p {
  opacity: 1;
  transform: translateY(0);
}

.property-box:hover .view-text {
  opacity: 1;
}

@media (max-width: 1250px) {
  .h3 {
    font-size: 20px;
  }

  .property-box:hover .overlay p {
    font-size: 13px !important;
  }
}

/* Responsive */
@media (max-width: 992px) {
  .property-grid {
    grid-template-columns: repeat(2, 1fr);
  }
}

@media (max-width: 600px) {
  .property-grid {
    grid-template-columns: 1fr;
  }
}

.section_subhead p {
  max-width: 700px;
  font-size: clamp(16px, 1.2vw, 20px) !important;
}

.section_subhead h2 {
  max-width: 700px;
}

.counter_head h2 {
  text-shadow: 0px 4px 4px rgba(0, 0, 0, 0.7);
}

.content_p p {
  font-size: clamp(16px, 1.2vw, 20px) !important;
  text-shadow: 0px 4px 4px rgba(0, 0, 0, 0.5);
}

.sale_counter {
  font-size: 25px;
  font-weight: 300;
}

.counter_section .elementor-counter-title {
  display: flex;
  flex-direction: column;
}

.elementor-widget-counter .elementor-counter-title {
  font-family: 'Glacial Indifference' !important;
  font-size: clamp(16px, 1.2vw, 20px) !important;
  text-shadow: 0px 4px 4px rgba(0, 0, 0, 0.5);
  margin-top: 10px;
}

.elementor-widget-counter .elementor-counter-number-wrapper {
  font-family: 'Glacial Indifference' !important;
  font-size: clamp(24px, 2.5vw, 35px) !important;
  text-shadow: 0px 4px 4px rgba(0, 0, 0, 0.5);
}

.ti-review-item {
  border: 1px solid grey;
  border-radius: 10px;
}

.elementor-shortcode .ti-widget.ti-goog .ti-widget-container,
.ti-widget.ti-goog .ti-widget-container .ti-reviews-container-wrapper {
  column-gap: 20px !important;
}

/* Digistromer edited code */
.widget_nav_menu #menu-footer-second-row-menu li:before {
  display: none;
  content: none;
}

#colophon #menu-footer-second-row-menu a:hover,
#colophon li a:hover {
  color: #fff;
  font-weight: 300;
}

#colophon .widget-title-footer {
  font-size: 18px !important;
  color: var(--wp-estate-footer-heading-color-option, var(--wp_estate_footer_heading_color));
}

#colophon a,
#colophon li a {
  font-size: 14px !important;
  font-weight: 200;
  letter-spacing: .5px;
  line-height: 1.8em;
}

.widget_nav_menu #menu-footer-third-column-menu li:before {
  display: none;
  content: none;
}

#colophon #menu-footer-third-column-menu a:hover,
#colophon li a:hover {
  color: #fff;
  font-weight: 300;
}

#colophon p {
  line-height: 1.6em;
  font-size: 14px;
  margin-top: 10px;
  color: #D6C9B480;
}

.widget_nav_menu #menu-footer-fourth-column-menu li:before {
  display: none;
  content: none;
}

#colophon #menu-footer-fourth-column-menu a:hover,
#colophon li a:hover {
  color: #fff;
  font-weight: 300;
}

#colophon #menu-footer #menu-item-20845 a:hover,
#colophon li a:hover {
  color: #987a45;
  font-size: 14px;
  font-weight: 400;
}

#colophon #menu-footer #menu-item-20861 a:hover,
#colophon li a:hover {
  color: #987a45;
  font-size: 14px;
  font-weight: 400;
}

@media (max-width: 600px) {
  .sale_counter {
    display: none;
  }

  .property-box .overlay {
    background: rgba(0, 0, 0, 0.65);
  }

  .property-box .view-text {
    opacity: 1;
  }

  .property-box p {
    opacity: 1;
  }
}

.elementor-counter-title {
  white-space: nowrap;
}

.master_header_sticky .wpresidence_header_6_secondary_menu .wpresidence_dropdown .dropdown-toggle {
  color: #09373a;
}

.master_header_sticky .wpresidence_header_6_secondary_menu .wpresidence_dropdown .dropdown-toggle::after {
  color: #09373a !important;
}

.header_transparent .master_header_sticky .wpresidence-navigation-menu ul.menu>li>a:hover {
  color: var(--wp-estate-sticky-menu-font-color-option, var(--wp-estate-sticky-menu-font-color)) !important;
}

/* .wpresidence-navigation-menu .menu-mega-menu-updated-container ul li a{
	color:#000 !important;
} */
.header_transparent .wpresidence-navigation-menu ul.menu>li>a:hover {
  color: #fff !important;
}

.header_transparent .wpresidence-navigation-menu .menu>li.menu-item-has-children:hover>a {
  color: #fff !important;
  border-bottom: 3px solid #fff;
}

.header_transparent .hover_type_5 .wpresidence-navigation-menu .menu>li:hover>a {
  border-bottom: 3px solid #fff;
  padding: 7px 10px;
  margin-left: 5px;
  margin-right: 5px;
  display: inline;
}


/*testing */


/*.elementor-widget-WpResidenc_Items_Slider .listing-unit-img-wrapper img{
width:100%;
height:520px !important;
object-fit:cover;
transition:transform .6s ease;
}


.elementor-widget-WpResidenc_Items_Slider .property_listing:hover img{
transform:scale(1.1);
}*/


/*.elementor-widget-WpResidenc_Items_Slider .property-unit-information-wrapper{
position:absolute;
bottom:60px;
left:15px;
right:15px;
background:rgba(255,255,255,0.85);
border-radius:4px;
z-index:2;
}*/

.elementor-widget-WpResidenc_Items_Slider .listing-unit-img-wrapper img {
  width: 100%;
  /* height:500px !important; */
  object-fit: cover;
  transition: transform .6s ease;
}

.elementor-widget-WpResidenc_Items_Slider .property_details_type1_wrapper span {
  color: #fff !important;
}

.elementor-widget-WpResidenc_Items_Slider .property_location,
.elementor-widget-WpResidenc_Items_Slider .property_address_type1_wrapper,
.elementor-widget-WpResidenc_Items_Slider .property_categories_type1_wrapper {
  display: none;
}

.elementor-widget-WpResidenc_Items_Slider .property-unit-information-wrapper h4 {
  padding: 0px !important;
}

.elementor-widget-WpResidenc_Items_Slider .property_unit_type1 .property_details_type1_wrapper {
  padding: 0px !important;
}

.elementor-widget-WpResidenc_Items_Slider .property-unit-information-wrapper h4 a {
  text-transform: capitalize;
  color: #fff !important;
  letter-spacing: 1.5px;
  font-family: 'Glacial Indifference' !important;
  font-weight: 300;
}

.elementor-widget-WpResidenc_Items_Slider .property_unit_type1 .listing-unit-img-wrapper {
  margin: 0px;
  border-radius: 0px;
}

.elementor-widget-WpResidenc_Items_Slider .property_listing .property-unit-information-wrapper {
  background-color: #262C27 !important;
}

.elementor-widget-WpResidenc_Items_Slider .slider_container .listing_wrapper .property_listing:hover {
  box-shadow: none !important;
  background-color: #262C27 !important;
}

.elementor-widget-WpResidenc_Items_Slider .slider_container .listing_wrapper .property_listing {
  box-shadow: none !important;
  background-color: #262C27 !important;
}

.featured_listing {
  display: none;
}

#colophon a:hover,
#colophon li a:hover {
  color: #fff !important;
}

#colophon a,
#colophon li a {
  color: #D6C9B480 !important;
}

.wpresidence_header_6_secondary_menu .wpresidence-navigation-menu,
.wpresidence_header_6_secondary_menu .wpresidence_dropdown .dropdown-toggle {
  font-family: 'SUMPTUOUS', sans-serif !important;
}

.header_type6 .wpresidence-navigation-menu,
.header_type6 .wpresidence_dropdown .dropdown-toggle {
  font-family: 'SUMPTUOUS', sans-serif !important;
}

.subheading_over_video,
.subheading_over_image {

  font-size: 25px !important;

  max-width: 650px !important;

}


/* Mobile devices */
@media (max-width: 767px) {

  .heading_over_video,
  .heading_over_image {
    font-size: 50px !important;
  }

  .subheading_over_video,
  .subheading_over_image {
    font-size: 20px !important;
    max-width: 450px !important;
  }

}

.wpresidence-adv-search-11 .form-control,
.mobile_search_custom .form-control {
  background-color: #FBF5F0B2 !important;
  color: #2A2A2A !important;
  font-family: 'Glacial Indifference' !important;
}

.wpresidence-adv-search-11 .wpresidence_dropdown .dropdown-toggle,
.mobile_search_custom .wpresidence_dropdown .dropdown-toggle {
  background-color: #FBF5F0B2 !important;
  color: #2A2A2A !important;
  font-family: 'Glacial Indifference' !important;
}

.wpresidence-adv-search-11 .form-control::placeholder,
.mobile_search_custom .form-control::placeholder {
  color: #2A2A2A !important;
  font-family: 'Glacial Indifference' !important;
  opacity: 1;
}

.wpresidence-adv-search-11 .wpestate-multiselect-custom-style,
.wpresidence-adv-search-11 .wpestate-multiselect-custom-style .btn.wpestate-multiselect-custom-style {
  background-color: #FBF5F0B2 !important;
  color: #2A2A2A !important;
  font-family: 'Glacial Indifference' !important;
}

.wpestate_header_image .heading_over_image_wrapper {
  top: 35%;

}

.list_prop_btn .elementor-heading-title {
  font-family: 'Glacial Indifference' !important;
  letter-spacing: 1.5px;
}

.copyright {
  color: #D6C9B480 !important;
}

.wpestate_header_image_overlay {
  /* 	background: linear-gradient(180deg, rgba(0, 0, 0, 1) 40%, rgba(0, 0, 0, 0) 60%) !important; */
  background: linear-gradient(to bottom, rgba(38, 44, 39, 1) 0%, rgba(38, 44, 39, 0.8) 25%, rgba(38, 44, 39, 0) 50%, rgba(38, 44, 39, 0.8) 75%, rgba(38, 44, 39, 1) 100%) !important;
}

.header_media {
  background-color: #262C27 !important;
}

/*#all_wrapper .content_wrapper{
	background-color: #262C27 !important;
}*/
/* triangle slider */

/*#triangleCarousel {
   height: 85vh;  
  display: flex;
  align-items: center;
  justify-content: center;
  position: relative;
  background-color: #262C27; 
  background-repeat: no-repeat;
  background-position: center;
  background-size: clamp(320px, 60vw, 900px) !important;
}

.carousel-item:not(.active) {
  opacity: 0;
}
.carousel-item.active .triangle-content {
  opacity: 1;
}
#triangleCarousel .carousel-item {
  transition: none !important;
}
#triangleCarousel .carousel-inner {
  display: flex;
  align-items: center;
  margin-top: 170px;
}

.triangle-content h2,
.triangle-content p {
  opacity: 0;
  transform: translateY(30px);
}
.triangle-content h2,
.triangle-content p {
  transition: 
    opacity 0.8s ease-in-out,
    transform 0.8s ease-in-out;
}
.carousel-item.active .triangle-content h2,
.carousel-item.active .triangle-content p {
  opacity: 1;
  transform: translateY(0);
}

#triangleCarousel .carousel-item {
  height: 40vh;
  display: flex;
  align-items: center;
  justify-content: center;
  position: relative;
}

.triangle-item {
  position: relative;
  width: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
}

.triangle-shape {
  position: relative;
  width: 60vw;
  max-width: 720px;
  aspect-ratio: 1 / 1;
}

.triangle-shape img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  filter: grayscale(100%);
  transition: transform 4s ease;
}

.triangle-content {
  position: absolute;
  text-align: center;
  color: #fff;
  width: 80%;
  max-width: 800px;
  z-index: 2;

  opacity: 0;
  transform: translateY(40px);
  transition: all 0.8s ease;
	
	
     display: flex;
    justify-content: center;
    text-align: center;
    flex-direction: column;
    align-items: center;
}


.triangle-content h2 {
  font-size: 3rem;
  font-weight: 300;
  letter-spacing: 2px;
  color: #fff;
  text-transform:uppercase;
	line-height:35px;
}

.triangle-content h3 {
  font-size: 2rem;
  margin-top: 10px;
  font-weight: 400;
  color: #fff;
  text-transform:uppercase;
	line-height:35px;
}

#triangleCarousel .triangle-content p {
  margin-top: 15px;

  font-size: clamp(16px, 1.2vw, 20px) !important;
  opacity: 0.85;
  text-transform:capitalize;
	max-width:450px;
}

#triangleCarousel .carousel-indicators {
position:relative !important;
}

.carousel-indicators button {
  width: 8px;
  height: 8px;
  border-radius: 50%;
  background-color: #aaa;
  border: none;
  margin: 5px;
}

.carousel-indicators .active {
  background-color: #fff;
}


@media (max-width: 1023px) {
  #triangleCarousel {
    height:auto; 
	}

  .triangle-content h2 {
    font-size: 2rem;
	  line-height: 35px;
  }

  .triangle-content h3 {
    font-size: 1.5rem;
	  line-height: 35px;
  }
}

@media (max-width: 768px) {
	#triangleCarousel {
    height:auto; 
	}
	#triangleCarousel .carousel-inner {
    margin-top: 110px;
}
  .carousel-item {
    height: 70vh;
  }
	
.triangle-content p {
   max-width: 400px;
}
  .triangle-content {
    width: 90%;
  }

  .triangle-content h2 {
    font-size: 1rem;
	  line-height:20px;
  }

  .triangle-content h3 {
    font-size: 1rem;
	  line-height:15px;
  }

   #triangleCarousel .triangle-content p {

        margin-top: 1px;
	    line-height: 19px !important;
    }
}


@media (max-width: 480px) {
  #triangleCarousel {
	  height: auto;  
	}

  .triangle-content h2 {
    font-size: 1.3rem;
  }
}
#triangleCarousel .carousel-indicators [data-bs-target]{
	width: 7px;
    height: 7px;
}
#triangleCarousel .carousel-indicators [data-bs-target].active{
	width: 12px;
    height: 12px;
}
.carousel-indicators{
	align-items:center;
}

@media screen and (max-width: 1024px) and (max-height: 650px) {
  .triangle-content {
    width: 75vw;
    padding: 20px;
  }

  .triangle-content h2 {
    font-size: 1.5rem;
  }
}*/



/**************************/

/*#triangleCarousel {
  position: relative;
  display: flex;
  align-items: center;
  justify-content: center;

  min-height: 100vh;
  padding: 60px 20px;

  background-color: #262C27;
  background-repeat: no-repeat;
  background-position: center;
  background-size: clamp(320px, 60vw, 900px) !important;
}


#triangleCarousel .carousel-inner {
  width: 100%;
}

.carousel-item {
  min-height: 60vh;

  display: flex;
  align-items: center;
  justify-content: center;

  position: relative;
  transition: opacity 0.6s ease-in-out;
}

.carousel-item:not(.active) {
  opacity: 0;
}

.triangle-item {
  position: relative;
  width: 100%;

  display: flex;
  align-items: center;
  justify-content: center;
}


.triangle-shape {
  position: relative;
  width: clamp(260px, 60vw, 720px);
  aspect-ratio: 1 / 1;
}


.triangle-shape img {
  width: 100%;
  height: 100%;
  object-fit: cover;

  filter: grayscale(100%);
  transition: transform 4s ease;
}


.triangle-content {
  position: absolute;
  inset: 0;

  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;

  width: min(90%, 700px);
  margin: auto;
  text-align: center;
  color: #fff;

  z-index: 2;

  opacity: 0;
  transform: translateY(30px);
  transition: all 0.6s ease;
}

.carousel-item.active .triangle-content {
  opacity: 1;
  transform: translateY(0);
}


.triangle-content h2 {
  font-size: clamp(1.3rem, 3vw, 2.8rem);
  font-weight: 300;
  letter-spacing: 2px;
  text-transform: uppercase;
  line-height: 1.2;
  margin: 0;
  color:#fff;
}

.triangle-content h3 {
  font-size: clamp(1.1rem, 2.5vw, 2rem);
  font-weight: 400;
  text-transform: uppercase;
  line-height: 1.2;
  margin-top: 8px;
  color:#fff;
}

.triangle-content p {
  margin-top: 12px;
  font-size: clamp(0.85rem, 1.2vw, 1rem) !important;
  line-height: 1.5;
  opacity: 0.85;
  text-transform: capitalize;
  color:#fff;
  max-width: 600px;
}


#triangleCarousel .carousel-indicators {
  position: absolute;
  bottom: 20px;

  display: flex;
  align-items: center;
  justify-content: center;
}

#triangleCarousel .carousel-indicators [data-bs-target] {
  width: 7px;
  height: 7px;

  border-radius: 50%;
  border: none;

  background-color: #aaa;
  margin: 5px;

  transition: all 0.3s ease;
}

#triangleCarousel .carousel-indicators [data-bs-target].active {
  width: 12px;
  height: 12px;
  background-color: #fff;
}


@media (max-width: 1024px) {
  #triangleCarousel {
    padding: 50px 20px;
  }
}


@media (max-width: 768px) {
  #triangleCarousel {
    padding: 40px 15px;
  }

  .carousel-item {

	  min-height: 40vh;
  }

  .triangle-content {
    width: 92%;
  }
}


@media (max-width: 480px) {
  #triangleCarousel {
    padding: 30px 12px;
  }
}

@media (max-height: 600px) {
  #triangleCarousel {
    padding: 20px;
  }


	.carousel-item {
    min-height: 40vh;
  }
}*/
.custom-heading h2 {
  font-family: 'Glacial Indifference' !important;
}

.wpresidence_button {
  font-family: 'Glacial Indifference' !important;
  background-color: #2a2a2a !important;
}

.wpresidence_button:hover {
  background-color: #2a2a2a !important;
  color: #d6c9b4 !important;
}

.adv_handler {
  background-color: #FBF5F0B2 !important;
}

.adv_handler i {
  color: #2A2A2A !important;
}



/*testttttttttttttttttttttttttttt*/

#mediaCarousel,
#mediaCarousel .carousel-inner,
#mediaCarousel .carousel-item {
  height: 85vh;
}

/* Video and image full view */
#mediaCarousel .carousel-item video,
#mediaCarousel .carousel-item img {
  width: 100%;
  height: 100%;
  object-fit: contain;
  /* full image/video visible */
  background-color: #262C27;
}

/* Overlay content */
#mediaCarousel .triangle-content {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  color: #fff;
  text-align: center;
  max-width: 80%;
  width: 800px;
  padding: 20px;
  /*       background: rgba(0, 0, 0, 0.1); */
  background: rgba(38, 44, 39, 0.1);
  border-radius: 10px;
}

#mediaCarousel .triangle-content h2 {
  font-size: 48px;
  line-height: 1.2;
  letter-spacing: clamp(0.5px, 0.08vw, 2px);
  /* responsive spacing */
  margin: 10px 0;
  color: #fff;
}

#mediaCarousel .triangle-content p {
  max-width: 450px;
  font-size: clamp(16px, 1.2vw, 20px);
  line-height: 1.6;
  letter-spacing: clamp(0px, 0.03vw, 0.5px);
  /* subtle spacing */
  margin: 0 auto;
  color: #fff;
}

/* Responsive adjustments */
@media (max-width: 768px) {

  #mediaCarousel,
  #mediaCarousel .carousel-inner,
  #mediaCarousel .carousel-item {
    height: 60vh;
  }

  #mediaCarousel .triangle-content h2 {
    font-size: 22px !important;
    /* smaller on mobile */
  }

  #mediaCarousel .triangle-content p {
    display: none;
  }
}

/*************************************/

/* Video slide wrapper */
.carousel-item.video-slide {
  position: relative;
  overflow: hidden;
}

/* TOP gradient */
.carousel-item.video-slide::before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 35%;
  z-index: 1;
  pointer-events: none;

  background: linear-gradient(to bottom,
      rgba(38, 44, 39, 1) 0%,
      rgba(38, 44, 39, 0.85) 25%,
      rgba(38, 44, 39, 0.5) 50%,
      rgba(38, 44, 39, 0.2) 75%,
      rgba(38, 44, 39, 0) 100%);
}

/* BOTTOM gradient */
.carousel-item.video-slide::after {
  content: "";
  position: absolute;
  bottom: 0;
  left: 0;
  width: 100%;
  height: 40%;
  z-index: 1;
  pointer-events: none;

  background: linear-gradient(to top,
      rgba(38, 44, 39, 1) 0%,
      rgba(38, 44, 39, 0.9) 25%,
      rgba(38, 44, 39, 0.6) 50%,
      rgba(38, 44, 39, 0.25) 75%,
      rgba(38, 44, 39, 0) 100%);
}

/* Ensure stacking */
.carousel-item.video-slide video {
  position: relative;
  z-index: 0;
}

/**************/


/*
.elementor-widget-divider .elementor-divider-separator {
  width: 0%;
  transition: width 0.5s ease;
  background-color: #262C27;
}

.feature-item:hover + .section_subhead + .elementor-widget-divider .elementor-divider-separator,
.section_subhead:hover + .elementor-widget-divider .elementor-divider-separator {
  width: 100%;
}*/
/* Base divider style */
.feature-item .elementor-divider-separator {
  display: block;
  width: 0%;
  height: 2px;
  background-color: #262C27;
  /* your first divider color */
  transition: width 0.5s ease, opacity 0.3s ease;
  opacity: 0.4 !important;
}

/* Hover trigger (on entire block) */
.feature-item:hover .elementor-divider-separator {
  width: 90% !important;
  opacity: 1 !important;
}

/* Optional: animate text slightly */
.feature-item h2,
.feature-item p {
  transition: transform 0.3s ease, color 0.3s ease;
}

.feature-item:hover h2 {
  transform: translateY(-2px);
}

.feature-item:hover p {
  transform: translateY(-1px);
}

.wpresidence-adv-search-11 .form-control:focus,
.wpresidence-adv-search-11 .form-control.open {
  background-color: #FBF5F0B2;
}

.search_wr_10 .dropdown-menu,
.search_wr_11 .dropdown-menu {
  background-color: #FBF5F0;
}

.mobile-dropdown .dropdown {
  margin-top: 50px;
}

.mobilewrapper .submit_listing {
  margin: 40px 0px 10px 25px !important;
  background-color: #D6C9B4 !important;
  background-image: none;
  color: #262C27;
  font-family: 'Glacial Indifference' !important;
  /* 	font-size: clamp(24px, 2.5vw, 35px) !important; */
}

.mobile-dropdown .dropdown {
  margin: 50px 0px 10px 25px;
}

.mobilex-menu li a {
  font-family: 'SUMPTUOUS', sans-serif !important;
  font-size: 14px;
}

.mobile-dropdown .wpresidence_dropdown .dropdown-toggle {
  /* 	font-weight:600 !important; */
}

.mobilemenu-close-user:hover,
.mobilemenu-close:hover {
  color: #FBF5F0B2 !important;
}

.mobile_header i {
  color: #fff !important;
}

.mobile_header i:hover {
  color: #fff !important;
}

.mobile_header {
  height: 80px !important;
}

/*.whatsapp-link.elementor-element{
	margin-top: -60px; 
	margin-right:30px !important;
}
@media (min-width: 1024px) {
	.whatsapp-link.elementor-element{
		--align-self: center !important; 
		margin-left:45px !important;
	
	}
}
@media (max-width: 768px and min-width: 760px) {
	.whatsapp-link.elementor-element{
			margin-top: -5px; 
   }
	.whatsapp-link.elementor-element{
		--align-self: flex-start !important; 
	
	}
} 

@media (max-width: 759px) {
	.whatsapp-link.elementor-element{
			margin-top: -5px; 
   }
	.whatsapp-link.elementor-element{
		--align-self: center !important; 
	
	}
} */
.header_transparent .wpresidence-navigation-menu .menu>li.menu-item-has-children:hover>a {
  color: #fff !important;
  border-bottom: 3px solid #fff;
}

/*.header_transparent .wpresidence-navigation-menu .menu-mega-menu-updated-container > ul > li > a {
    color: #fff !important;
}
.wpresidence-navigation-menu .menu-mega-menu-updated-container ul li a{
	color:#09373a !important;
}*/
.wpresidence_header_6_secondary_menu .wpresidence_dropdown .dropdown-toggle.show {
  color: #09373a !important;
}

.wpresidence_button_inverse {
  color: #fff !important;
}

.property_unit_type1 .featured_div:after {
  border-right-color: #D4A019 !important;
}

.featured_div {
  background-color: #D4A019 !important;
}

.master_header_sticky {
  opacity: 1 !important;
}

.property_listing .property-unit-information-wrapper h4,
.property_listing .property-unit-information-wrapper .h4 {
  text-transform: uppercase;
  font-family: 'Glacial Indifference' !important;
}

.entry-prop {
  text-transform: uppercase;
  font-family: 'Glacial Indifference' !important;
}

.wpresidence_header_6_secondary_menu ul li {
  font-family: 'SUMPTUOUS', sans-serif !important;
}

.title_prop {
  text-transform: uppercase;
}

.form-control {
  font-family: 'Glacial Indifference' !important;
}

.has_header_type6.header_transparent .wpresidence_header_6_secondary_menu .wpresidence_dropdown .dropdown-toggle.show {
  color: #fff !important;
}

.has_header_type6.header_transparent .master_header_sticky .wpresidence_header_6_secondary_menu .wpresidence_dropdown .dropdown-toggle.show {
  color: #09373a !important;
}

.archive .header_media .search_wrapper {
  top: 70% !important;
}

.fullmap #gmap-control {
  top: 50px !important;
  left: auto !important;
  right: 30px !important;
}

.custom-para p {
  font-family: 'Glacial Indifference' !important;
  font-size: 16px !important;
}

.custom-para {
  font-family: 'Glacial Indifference' !important;
  font-size: 16px !important;
}

.whatsapp-btn {
  color: #fff;

}

.whatsapp-btn:hover {
  color: #D6C9B4;
}

#contact_frm_btn {
  width: 90px;
}

.whatsapp-link.elementor-element {
  margin-top: -60px;
  margin-right: 30px !important;
}

@media (min-width: 1024px) {
  .whatsapp-link.elementor-element {
    --align-self: center !important;
    margin-left: 45px !important;

  }
}

@media (max-width: 768px and min-width: 760px) {
  .whatsapp-link.elementor-element {
    margin-top: -5px;
  }

  .whatsapp-link.elementor-element {
    --align-self: flex-start !important;

  }
}

@media (max-width: 759px) {
  .whatsapp-link.elementor-element {
    margin-top: -5px;
  }

  .whatsapp-link.elementor-element {
    --align-self: center !important;

  }
}

@media (max-width: 1199px) {
  .search_wrapper.search_wr_11 #advanced_submit_11 {
    width: 100% !important;
  }
}

.mobile_search_custom .elementor-widget-container .search_wr_elementor {
  background-color: #D6C9B4 !important;
}

@media (max-width: 767px) {
  .d-768 {
    display: none !important;
  }
}

#search_wrapper {
  width: 98% !important;
}

#search_wrapper.fullscreen_search {
  top: auto !important;
  bottom: 40px !important;
}

.wpresidence_agent_unit_wrapper .agent_unit .agent-unit-img-wrapper {
  aspect-ratio: 1 / 1;
}

.wpresidence_agent_unit_wrapper .agent_unit .agent-unit-img-wrapper img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

@media (min-width: 1025px) {
    .wpestate_agent_details_wrapper .agentpic-wrapper .agent-listing-img-wrapper .agentpict {
        height: 350px !important;
        background-size: unset !important;
        background-position: unset !important;
        background-repeat: no-repeat !important;
    }
}